Bug 965445 - /usr/lib64/xulrunner/plugin-container is spying on /home user's directory [NEEDINFO]
/usr/lib64/xulrunner/plugin-container is spying on /home user's directory
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
18
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-21 05:12 EDT by Suawomirr
Modified: 2013-10-22 08:51 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-22 08:51:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mgrepl: needinfo? (slawomir.iwanek)


Attachments (Terms of Use)
SETroubleshoot Details Window output (3.11 KB, text/plain)
2013-05-21 05:12 EDT, Suawomirr
no flags Details

  None (edit)
Description Suawomirr 2013-05-21 05:12:46 EDT
Created attachment 750914 [details]
SETroubleshoot Details Window output

Description of problem:

Today I got a selinux alert (fragment below):

SELinux is preventing /usr/lib64/xulrunner/plugin-container from read
access on the directory /home/jdoe/wordpress.

--------   end of fragment   ---------

Version-Release number of selected component (if applicable):

Nazwa              : xulrunner
Architektura       : x86_64
Wersja             : 21.0
Wydanie            : 3.fc18
Rozmiar            : 50 M
Repozytorium       : installed
Z repozytorium     : updates
Podsumowanie       : XUL Runtime for Gecko Applications
Adres URL          : http://developer.mozilla.org/En/XULRunner
Licencja           : MPLv1.1 or GPLv2+ or LGPLv2+
Opis               : XULRunner is a Mozilla runtime package that can be used to
                   : bootstrap XUL+XPCOM applications that are as rich as
                   : Firefox and Thunderbird. It provides mechanisms for
                   : installing, upgrading, and uninstalling these applications.
                   : XULRunner also provides libxul, a solution which allows the
                   : embedding of Mozilla technologies in other projects and
                   : products.


How reproducible:

Don't know

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Suawomirr 2013-05-21 05:17:15 EDT
The bug is specifically in the xulrunner, SELinux in fact saved the system by not allowing the access to the private directory. But why only to one of many subdirectories I got ? xulrunner wanted to read only this particular one ?

Strange.
Comment 2 Jan Lieskovsky 2013-05-24 10:17:25 EDT
(In reply to Suawomirr from comment #1)
> The bug is specifically in the xulrunner, SELinux in fact saved the system
> by not allowing the access to the private directory. But why only to one of
> many subdirectories I got ? xulrunner wanted to read only this particular
> one ?
> 
> Strange.

Suawomirr, can you clarify what were you doing when this happened?

Thank you.
Comment 4 Daniel Walsh 2013-06-04 16:20:25 EDT
Where is the pool command coming from.  It could have been 

locate -r /pool$

Having a file manager running could have triggered this.
Comment 5 Jan Lieskovsky 2013-06-19 05:49:32 EDT
(In reply to Daniel Walsh from comment #4)

Slawomir, can you reply to the query below?

> Where is the pool command coming from.  It could have been 
> 
> locate -r /pool$
> 
> Having a file manager running could have triggered this.

Thank you, Jan.

Note You need to log in before you can comment on or make changes to this bug.